@echo off

rem -----------------------------------------
rem           Instalador do DOSVOX 2.4
rem -----------------------------------------

set DISQ=a:
set WINCH=c:
set DIRWIN=c:\windows
set CDROM=d:

echo ----------------------------------------------------
echo ---          Iniciando carga do DOSVOX           ---
echo ----------------------------------------------------

copy %CDROM%\pkunzip.exe %DIRWIN%

%WINCH%
cd \

if exist \dosvox\dosvox.amb  mkdir \salvaamb
if exist \dosvox\dosvox.amb  copy \dosvox\*.amb \salvaamb
if exist \winvox\dosvox.ini  copy \winvox\dosvox.ini \salvaamb

mkdir \dosvox
pkunzip -do %CDROM%\dosvox %WINCH%\dosvox
copy %WINCH%\dosvox\dv.bat %WINCH%\
copy %WINCH%\dosvox\dv.bat %DIRWIN%
copy %WINCH%\dosvox\tb.bat %WINCH%\
copy %WINCH%\dosvox\tb.bat %DIRWIN%

mkdir \winvox
pkunzip -do %CDROM%\winvox %WINCH%\winvox

mkdir \lentepro
pkunzip -do %CDROM%\lentepro %WINCH%\lentepro

mkdir \utilit
xcopy %CDROM%\utilit %WINCH%\utilit /s

mkdir letravox
pkunzip -do %CDROM%\letravox %WINCH%\letravox

xcopy %WINCH%\winvox\dosvox.ini %DIRWIN%

xcopy %CDROM%\dosvox.lnk %DIRWIN%\desktop
xcopy %CDROM%\lentepro.lnk %DIRWIN%\desktop
xcopy %CDROM%\captxt.lnk %DIRWIN%\desktop

xcopy %DISQ%\dosvox.don %WINCH%\dosvox
xcopy %DISQ%\dosvox.don %WINCH%\winvox
xcopy %DISQ%\alterdos\*.* %WINCH%\dosvox /s
xcopy %DISQ%\alterwin\*.* %WINCH%\winvox /s

echo ------------------------------------------------------
echo ---          DOSVOX para Windows instalado         ---
echo ------------------------------------------------------
if not exist %WINCH%\salvaamb\dosvox.amb goto :fim
echo ---   Configuracoes antigas salvas em \salvaamb    ---

:fim
echo ---                                                ---
echo ---   As configuracoes globais estao no arquivo    ---
echo ---             \WINDOWS\DOSVOX.INI                ---
echo ---   Ele especifica os diretorios padroes,        ---
echo ---   fontes e pontos por polegada da impressora,  ---
echo ---   velocidade de fala, utilitarios, etc.        ---
echo ---                                                ---
echo ---   Em c:\utilit existem programa interessantes  ---
echo ---   para serem usados em conjunto com o DOSVOX.  ---
echo ---   Verifique e instale os que desejar !         ---
echo ---                                                ---  
echo ---   Tecle control ALT D para reativar o DOSVOX.  ---
echo ---                                                ---  
echo ---   Ligue para (0xx21) 598-3198, 598-3117 ou     ---   
echo ---   238-1400 sempre que tiver duvidas !          ---
echo ------------------------------------------------------

%WINCH%\winvox\dosvox
